from __future__ import annotations
from dataclasses import dataclass, field
from typing import Optional
from prodml22.abstract_vertical_depth import AbstractVerticalDepth
from prodml22.data_object_reference import DataObjectReference

__NAMESPACE__ = "http://www.energistics.org/energyml/data/commonv2"


@dataclass
class DatumVerticalDepth(AbstractVerticalDepth):
    """
    :ivar datum: The datum the vertical depth is referenced to. Required
        when there is no default TVD datum associated with the data
        object this is used in.
    """
    datum: Optional[DataObjectReference] = field(
        default=None,
        metadata={
            "name": "Datum",
            "type": "Element",
            "namespace": "http://www.energistics.org/energyml/data/commonv2",
        }
    )
