from __future__ import annotations
from enum import Enum

__NAMESPACE__ = "http://www.energistics.org/energyml/data/prodmlv2"


class PseudoComponentKind(Enum):
    """
    Specifies the kinds of pseudo-components.

    :cvar C10: c10
    :cvar C11:
    :cvar C12:
    :cvar C13:
    :cvar C14:
    :cvar C15:
    :cvar C16:
    :cvar C17:
    :cvar C18:
    :cvar C19:
    :cvar C20:
    :cvar C21:
    :cvar C22:
    :cvar C23:
    :cvar C24:
    :cvar C25:
    :cvar C26:
    :cvar C27:
    :cvar C28:
    :cvar C29:
    :cvar C2_C4_N2:
    :cvar C30:
    :cvar C31:
    :cvar C32:
    :cvar C33:
    :cvar C34:
    :cvar C35:
    :cvar C4:
    :cvar C5:
    :cvar C6:
    :cvar C7:
    :cvar C8:
    :cvar C9:
    :cvar RSH: Mercaptans/thiols for all alkyl types R.
    """
    C10 = "c10"
    C11 = "c11"
    C12 = "c12"
    C13 = "c13"
    C14 = "c14"
    C15 = "c15"
    C16 = "c16"
    C17 = "c17"
    C18 = "c18"
    C19 = "c19"
    C20 = "c20"
    C21 = "c21"
    C22 = "c22"
    C23 = "c23"
    C24 = "c24"
    C25 = "c25"
    C26 = "c26"
    C27 = "c27"
    C28 = "c28"
    C29 = "c29"
    C2_C4_N2 = "c2-c4+n2"
    C30 = "c30"
    C31 = "c31"
    C32 = "c32"
    C33 = "c33"
    C34 = "c34"
    C35 = "c35"
    C4 = "c4"
    C5 = "c5"
    C6 = "c6"
    C7 = "c7"
    C8 = "c8"
    C9 = "c9"
    RSH = "rsh"
